Package org.eclipse.microprofile.metrics.tck.metrics

## Class TimedClassBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.TimedClassBean

    @ApplicationScoped
    @Timed(name="timedClass")
    public class TimedClassBean
    extends Object

### Constructor Summary

Constructors
`TimedClassBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `timedMethodOne()`
`protected void` `timedMethodProtected()`
`void` `timedMethodTwo()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimedClassBean

    public TimedClassBean()

### Method Detail

#### timedMethodOne

    public void timedMethodOne()

#### timedMethodTwo

    public void timedMethodTwo()

#### timedMethodProtected

    protected void timedMethodProtected()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`